.form-resa-location {
    width: 100%;
    padding-block: 0.5rem;
    padding-inline: 2rem 1rem;
    border-radius: 100px;
    border: solid 1px var(--color-gray-light);
    box-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1),
        0 4px 6px -4px rgba(0, 0, 0, 0.1);
}

.form-resa-location form {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 30px;
}

.form-resa-location form>div {
    position: relative;
    display: flex;
    align-items: center;
    gap: 10px;
    width: 100%;
}

.form-resa-location form>div:first-of-type {
    min-width: 220px;
}

.form-resa-location form>div::after {
    content: "";
    display: block;
    position: absolute;
    right: -15px;
    top: 50%;
    width: 1px;
    height: calc(100% + 1rem);
    background-color: var(--color-gray-light);
    transform: translateY(-50%);
}

.form-resa-location form>div:nth-of-type(3)::after {
    display: none;
}

.form-resa-location form>div>div {
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.form-resa-location form>div>div>label {
    font-size: 0.688rem;
    font-weight: 600;
    line-height: 1;
    letter-spacing: 1px;
    text-transform: uppercase;
}

.form-resa-location form>div>div>input,
.form-resa-location form>div>div>select {
    height: auto !important;
    font-size: 0.875rem;
    line-height: 1;
    font-weight: 500;
    padding: 0 !important;
    border: none;
    color: var(--color-1);
}

.form-resa-location form>div:first-of-type>div .daterangepicker {
    font-family: var(--font-1) !important;
    padding: 1rem !important;
    border: solid 1px var(--color-gray-light);
}

.form-resa-location form>div:nth-of-type(3) {
    position: relative;
}

.form-resa-location form>div:nth-of-type(3) .show-arrondissements {
    font-size: 0.875rem;
    line-height: 1;
    font-weight: 500;
    padding: 0 !important;
    border: none;
    color: var(--color-1);
    cursor: pointer;
}

.form-resa-location form>div:nth-of-type(3)>div>div {
    position: absolute;
    top: 3rem;
    display: flex;
    flex-wrap: wrap;
    gap: 5px;
    padding: 1rem;
    background-color: var(--color-light);
    box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
    border-radius: 10px;
    pointer-events: none;
    opacity: 0;
    transition: all 0.4s ease;
    z-index: 2;
}

.form-resa-location form>div:nth-of-type(3)>div>div.visible {
    opacity: 1;
    pointer-events: auto;
}

.form-resa-location form>div:nth-of-type(3)>div>div input {
    display: none;
}

.form-resa-location form>div:nth-of-type(3)>div>div label {
    min-width: 40px;
    display: flex;
    justify-content: center;
    font-size: 0.75rem;
    font-weight: 600;
    padding: 5px 10px;
    border: solid 1px var(--color-gray-light);
    color: var(--color-1);
    border-radius: 5px;
    cursor: pointer;
}

.form-resa-location form>div:nth-of-type(3)>div>div input:checked+label {
    background-color: var(--color-2);
    color: var(--color-light);
    border-color: var(--color-2);
}

.form-resa-location form>div:nth-of-type(3)>div>div label:hover {
    border-color: var(--color-2);
}


.form-resa-location form>.button {
    display: flex;
    align-items: center;
    gap: 10px;
    padding-inline: 20px;
    padding-block: 20px;
    color: var(--color-light);
    background-color: var(--color-2);
    border-radius: 100px;
    border: none;
    font-size: 600;
    transition: all 0.4s ease;
}

.form-resa-location form>.button::before {
    content: "";
    display: block;
    position: relative;
    min-width: 16px;
    width: 16px;
    height: 16px;
    background-image: url('/images/2026/refonte/icon-glass-search-blanc.svg');
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
}

.form-resa-location form>.button:hover {
    background-color: var(--color-1);
}

@media (max-width: 820px) {
    .form-resa-location {
        padding: 1rem;
        border-radius: 10px;
    }

    .form-resa-location form {
        flex-direction: column;
    }

    .form-resa-location form>div::after {
        display: none;
    }

    .form-resa-location form>.button {
        width: 100%;
        padding-inline: 10px;
        padding-block: 12px;
        justify-content: center;
    }
}